org.apache.lucene.analysis.cjk

## Class CJKAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.util.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.cjk.CJKAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class CJKAnalyzer
    extends StopwordAnalyzerBase

An `Analyzer` that tokenizes text with `StandardTokenizer`, normalizes content with `CJKWidthFilter`, folds case with `LowerCaseFilter`, forms bigrams of CJK with `CJKBigramFilter`, and filters stopwords with `StopFilter`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Field Summary

Fields
`static String` `DEFAULT_STOPWORD_FILE` File containing default CJK stopwords.

### Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

`matchVersion, stopwords`

### Constructor Summary

Constructors
Constructor and Description
`CJKAnalyzer(Version matchVersion)` Builds an analyzer which removes words in `getDefaultStopSet()`.
`CJKAnalyzer(Version matchVersion, CharArraySet stopwords)` Builds an analyzer with the given stop words

### Method Summary

Methods
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`
`static CharArraySet` `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

### Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

File containing default CJK stopwords.

Currently it contains some common English words that are not usually useful for searching and some double-byte interpunctions.

See Also:
  Constant Field Values

### Constructor Detail

#### CJKAnalyzer

    public CJKAnalyzer(Version matchVersion)

Builds an analyzer which removes words in `getDefaultStopSet()`.

#### CJKAnalyzer

    public CJKAnalyzer(Version matchVersion,
               CharArraySet stopwords)

Builds an analyzer with the given stop words

Parameters:
  `matchVersion` - lucene compatibility version
  `stopwords` - a stopword set

### Method Detail

#### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

Returns an unmodifiable instance of the default stop-words set.

Returns:
  an unmodifiable instance of the default stop-words set.

#### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                  Reader reader)

Specified by:
  `createComponents` in class `Analyzer`